---------------------------------------------------------------
--                                                           
--  PENCIL AND PAPER INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  FILE_MENU 
--  Description : Handle choices from File menu 
--                       
--  By: Martin Carlisle
--                                         
-- PENCIL AND PAPER INTERPRETER is free software; you can redistribute 
-- it and/or modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- PENCIL AND PAPER INTERPRETER is distributed in the hope that it will 
-- be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
--
---------------------------------------------------------------
with Mcc.Gui.Container.Window;
package File_Menu is
   procedure Open_File(Name : in String);
   procedure Load_Program_Choice;
   -- save choice
   procedure Save_Choice;
   -- save as choice
   procedure Save_Program_Choice;
   procedure Exit_Choice;
   procedure Exit_Choice(Obj : in out Mcc.Gui.Container.Window.Window'Class); 
   ---------------------------------------
   -- add an instruction at the current PC
   ---------------------------------------
   procedure Insert_Instruction;
   -------------------------------------------
   -- delete the instruction at the current PC
   -------------------------------------------
   procedure Delete_Instruction;
end File_Menu;